Subject: bug#41934: closed (Re: bug#41934: reverse-region no longer works)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 22 Jun 2020 15:45:02 +0000

Your bug report

#41934: reverse-region no longer works

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41934: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41934
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41934: reverse-region no longer works
From: Eli Zaretskii <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jun 2020 18:43:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Richard Copley <[email-masked]>
> Date: Sat, 20 Jun 2020 11:03:34 +0100
> Cc: [email-masked]
> 
> > Here's the conundrum: I'd like to install your proposed change, but
> > the sum total of your contributions to Emacs already exceeds the
> > amount we can accept without legal papers.
> 
> Damn, sorry about that. You told me otherwise last time the question came up[1].

That was before that additional contribution.

Anyway, I asked RMS, and he said we can accept this patch, since most
of your substantial contribution in the past is now superseded.  So I
installed your patch, and I'm closing the bug.

Thanks!

Subject: reverse-region no longer works
From: Richard Copley <[email-masked]>
To: [email-masked]
Date: Thu, 18 Jun 2020 17:41:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:
Insert text in a buffer:

abc
def
ghi

Position the mark before the 'a' and point before the 'g'.
Do 'M-x reverse-region'.

An error is signalled, 'There are no full lines in the region'.

See #39376.